package jp.deadend.noname.howmm

fun CharSequence.getOffsetForLine(line: Int): Int {
    if (line == 0) { return 0 }

    var countNewLines = 0
    this.forEachIndexed { index, c ->
        if (c == '\n') countNewLines++
        if (countNewLines == line) { return index + 1 }
    }

    return -1
}